package com.gic.haoban.manage.service.service;

import com.gic.haoban.manage.service.entity.TabHaobanRenewalUser;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * (TabHaobanRenewalUser)表服务接口
 *
 * @author makejava
 * @since 2023-06-08 15:11:49
 */
public interface TabHaobanRenewalUserService {

    /**
     * 通过ID查询单条数据
     *
     * @param renewalId 主键
     * @return 实例对象
     */
    TabHaobanRenewalUser queryById(Long renewalId);

    /**
     * 分页查询
     *
     * @param tabHaobanRenewalUser 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<TabHaobanRenewalUser> queryByPage(TabHaobanRenewalUser tabHaobanRenewalUser, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param tabHaobanRenewalUser 实例对象
     * @return 实例对象
     */
    TabHaobanRenewalUser insert(TabHaobanRenewalUser tabHaobanRenewalUser);

    /**
     * 修改数据
     *
     * @param tabHaobanRenewalUser 实例对象
     * @return 实例对象
     */
    TabHaobanRenewalUser update(TabHaobanRenewalUser tabHaobanRenewalUser);

    /**
     * 通过主键删除数据
     *
     * @param renewalId 主键
     * @return 是否成功
     */
    boolean deleteById(Long renewalId);

}
